|  | Home · All Classes · Modules

# QMdiSubWindow.SubWindowOptions Class Reference
[QtGui module]

### Methods

- __init__ (self, SubWindowOptions f)
- __init__ (self)

### Special Methods

- SubWindowOptions __and__ (self, int mask)
- bool __eq__ (self, SubWindowOptions f)
- SubWindowOptions __iand__ (self, int mask)
- int __int__ (self)
- SubWindowOptions __invert__ (self)
- SubWindowOptions __ior__ (self, SubWindowOptions f)
- SubWindowOptions __ixor__ (self, SubWindowOptions f)
- bool __ne__ (self, SubWindowOptions f)
- int __nonzero__ (self)
- SubWindowOptions __or__ (self, SubWindowOptions f)
- SubWindowOptions __xor__ (self, SubWindowOptions f)

## Detailed Description

SubWindowOption may be used whenever SubWindowOptions is expected.

## Method Documentation

### SubWindowOptions.__init__ (self, SubWindowOptions f)

### SubWindowOptions.__init__ (self)

### SubWindowOptions SubWindowOptions.__and__ (self, int mask)

### bool SubWindowOptions.__eq__ (self, SubWindowOptions f)

### SubWindowOptions SubWindowOptions.__iand__ (self, int mask)

### int SubWindowOptions.__int__ (self)

### SubWindowOptions SubWindowOptions.__invert__ (self)

### SubWindowOptions SubWindowOptions.__ior__ (self, SubWindowOptions f)

### SubWindowOptions SubWindowOptions.__ixor__ (self, SubWindowOptions f)

### bool SubWindowOptions.__ne__ (self, SubWindowOptions f)

### int SubWindowOptions.__nonzero__ (self)

### SubWindowOptions SubWindowOptions.__or__ (self, SubWindowOptions f)

### SubWindowOptions SubWindowOptions.__xor__ (self, SubWindowOptions f)